
# Check if array sorting works.
# Check the sorting of [], [7], [7,11,4], [7,6.8], [7.1,6.8]
# ["3",7,6.8], ["3","23","2"]
# [[7],[11],[4]] and [[7],"3","2",6.8,7]

INT

int1:	7
int2:	11
int3:	4

DOUBLE

dbl4:	6.8
dbl5:	7.1

STRING

str6:	"3"
str7:	"23"
str8:	"2"

nl:	"\n"

CODE

	icopy	int1, r1
	icopy	int2, r2
	icopy	int3, r3
	icopy	dbl4, r4
	icopy	dbl5, r5
	icopy	str6, r6
	icopy	str7, r7
	icopy	str8, r8

	icopy	nl, r9

	icopy	10, r10
	icopy	11, r11
	icopy	12, r12

test1:
	anew	[r10]			# r10->[]
	asort	[r10], [r11]		# r11->[]
	alen	[r11], [r12]		# length
	iprint	[r12]			# 0
	sprint	[r9]			# \n
test2:
	anew	[r10]			# r10->[]
	ainsert	0, [r1], [r10]		# r10->[7]
	asort	[r10], [r11]		# r11->[7]
	alen	[r11], [r12]		# length
	iprint	[r12]			# 1
	aindex	0, [r11], [r12]		# r12->7
	iprint	[r12]			# 7
	sprint	[r9]			# \n
test3:
	anew	[r10]			# r10->[]
	ainsert	0, [r1], [r10]		# r10->[7]
	ainsert	1, [r2], [r10]		# r10->[7,11]
	ainsert	2, [r3], [r10]		# r10->[7,11,4]
	asort	[r10], [r11]		# r11->[4,7,11]
	alen	[r11], [r12]		# length
	iprint	[r12]			# 3
	aindex	0, [r11], [r12]		# r12->4
	iprint	[r12]			# 4
	aindex	1, [r11], [r12]		# r12->7
	iprint	[r12]			# 7
	aindex	2, [r11], [r12]		# r12->11
	iprint	[r12]			# 11
	sprint	[r9]			# \n
test4:
	anew	[r10]			# r10->[]
	ainsert	0, [r1], [r10]		# r10->[7]
	ainsert	1, [r4], [r10]		# r10->[7,6.8]
	asort	[r10], [r11]		# r11->[6.8,7]
	alen	[r11], [r12]		# length
	iprint	[r12]			# 2
	aindex	0, [r11], [r12]		# r12->6.8
	dprint	[r12]			# 6.8
	aindex	1, [r11], [r12]		# r12->7
	iprint	[r12]			# 7
	sprint	[r9]			# \n
test5:
	anew	[r10]			# r10->[]
	ainsert	0, [r5], [r10]		# r10->[7.1]
	ainsert	1, [r4], [r10]		# r10->[7.1,6.8]
	asort	[r10], [r11]		# r11->[6.8,7.1]
	alen	[r11], [r12]		# length
	iprint	[r12]			# 2
	aindex	0, [r11], [r12]		# r12->6.8
	dprint	[r12]			# 6.8
	aindex	1, [r11], [r12]		# r12->7.1
	dprint	[r12]			# 7.1
	sprint	[r9]			# \n
test6:
	anew	[r10]			# r10->[]
	ainsert	0, [r6], [r10]		# r10->["3"]
	ainsert	1, [r1], [r10]		# r10->["3",7]
	ainsert	2, [r4], [r10]		# r10->["3",7,6.8]
	asort	[r10], [r11]		# r11->[6.8,7,"3"]
	alen	[r11], [r12]		# length
	iprint	[r12]			# 3
	aindex	0, [r11], [r12]		# r12->6.8
	dprint	[r12]			# 6.8
	aindex	1, [r11], [r12]		# r12->7
	iprint	[r12]			# 7
	aindex	2, [r11], [r12]		# r12->"3"
	sprint	[r12]			# "3"
	sprint	[r9]			# \n
test7:
	anew	[r10]			# r10->[]
	ainsert	0, [r6], [r10]		# r10->["3"]
	ainsert	1, [r7], [r10]		# r10->["3","23"]
	ainsert	2, [r8], [r10]		# r10->["3","23","2"]
	asort	[r10], [r11]		# r11->["2","23","3"]
	alen	[r11], [r12]		# length
	iprint	[r12]			# 3
	aindex	0, [r11], [r12]		# r12->"2"
	sprint	[r12]			# "2"
	aindex	1, [r11], [r12]		# r12->"23"
	sprint	[r12]			# "23"
	aindex	2, [r11], [r12]		# r12->"3"
	sprint	[r12]			# "3"
	sprint	[r9]			# \n
test8:
	anew	[r10]			# r10->[]
	anew	[r11]			# r11->[]
	ainsert	0, [r1], [r11]		# r11->[7]
	ainsert	0, [r11], [r10]		# r10->[[7]]
	anew	[r11]			# r11->[]
	ainsert	0, [r2], [r11]		# r11->[11]
	ainsert	1, [r11], [r10]		# r10->[[7],[11]]
	anew	[r11]			# r11->[]
	ainsert	0, [r3], [r11]		# r11->[4]
	ainsert	2, [r11], [r10]		# r10->[[7],[11],[4]]
	asort	[r10], [r11]		# r11->[[4],[7],[11]]
	alen	[r11], [r12]		# length
	iprint	[r12]			# 3
	aindex	0, [r11], [r12]		# r12->[4]
	aindex	0, [r12], [r12]		# r12->4
	iprint	[r12]			# 4
	aindex	1, [r11], [r12]		# r12->[7]
	aindex	0, [r12], [r12]		# r12->7
	iprint	[r12]			# 7
	aindex	2, [r11], [r12]		# r12->[11]
	aindex	0, [r12], [r12]		# r12->11
	iprint	[r12]			# 11
	sprint	[r9]			# \n
test9:
	anew	[r10]			# r10->[]
	anew	[r11]			# r11->[]
	ainsert	0, [r1], [r11]		# r11->[7]
	ainsert	0, [r11], [r10]		# r10->[[7]]
	ainsert	1, [r6], [r10]		# r10->[[7],"3"]
	ainsert	2, [r8], [r10]		# r10->[[7],"3","2"]
	ainsert	3, [r4], [r10]		# r10->[[7],"3","2",6.8]
	ainsert	4, [r1], [r10]		# r10->[[7],"3","2",6.8,7]
	asort	[r10], [r11]		# r11->[6.8,7,"2","3",[7]]
	alen	[r11], [r12]		# length
	iprint	[r12]			# 5
	aindex	0, [r11], [r12]		# r12->6.8
	dprint	[r12]			# 6.8
	aindex	1, [r11], [r12]		# r12->7
	iprint	[r12]			# 7
	aindex	2, [r11], [r12]		# r12->"2"
	sprint	[r12]			# "2"
	aindex	3, [r11], [r12]		# r12->"3"
	sprint	[r12]			# "3"
	aindex	4, [r11], [r12]		# r12->[7]
	aindex	0, [r12], [r12]		# r12->7
	iprint	[r12]			# 7
	sprint	[r9]			# \n

	halt

