#
# You cannot store a result of an integer operation into a literal.
# A literal is a number which cannot be changed.
# This test tries to see if an iadd instruction can store a number
# into a dst operand which is a small literal.
# Both the assembler and the virtual machine should detect this
# error, independently.
#

INT

thing:	5

CODE

	icopy	thing, [r0]

	iadd	1, 2, [r0]		# valid
	iadd	1, 2, 3			# deliberate error!

	halt

