
# Check that the various escape sequences in strings work.
# The escape sequences mentioned in the assembler spec are:
# \n means newline
# \t means tab
# \b means backspace
# \r means carriage return
# \f means form feed
# \\ means a single \
# \' means '
# \" means "

STRING

backspace:	"\b"
tab:		"\t"
newline:	"\n"
formfeed:	"\f"
CR:		"\r"
doublequote:	"\""
quote:		"\'"
baskslash:	"\\"
allescapes:	"\b\t\n\f\r\"\'\\"

CODE

	icopy	0, r0
test:
	icmp	9, r0
	beq	end
body:
	sprint	[r0]
increment:
	iadd	1, r0, r0
	bra	test
end:
	halt

