
# Check if array indexing works.
# Check index 0, 2, -1, -2, -length, length-1

CODE

	icopy	0, r0
	icopy	1, r1

	anew	[r0]		# r0->[]

	ainsert	0, 4, [r0]
	ainsert	1, 5, [r0]
	ainsert	2, 6, [r0]
	ainsert	3, 7, [r0]
	ainsert	4, 8, [r0]	# r0->[4,5,6,7,8]

	aindex	0, [r0], [r1]	# r0[0]
	iprint	[r1]		# 4

	aindex	2, [r0], [r1]	# r0[2]
	iprint	[r1]		# 6

	aindex	-1, [r0], [r1]	# r0[-1]
	iprint	[r1]		# 8

	aindex	-2, [r0], [r1]	# r0[-2]
	iprint	[r1]		# 7

	aindex	-5, [r0], [r1]	# r0[-length]
	iprint	[r1]		# 4

	aindex	4, [r0], [r1]	# r0[length-1]
	iprint	[r1]		# 8

	halt

