
# ainsert range checker
# - trying to insert into the array before the start of the array
# - trying to insert into the array after the end of the array
# both are legal operations

INT

dummy:	0
value1:	2

DOUBLE

value2:	7.5

STRING

value3:	"a string\n"

CODE

	icopy	value1, r1
	icopy	value2, r2
	icopy	value3, r3

	anew	[r0]		# r0->[]
	ainsert	-1, [r1], [r0]	# r0->[2]
	ainsert 2, [r2], [r0]	# r0->[2,7.5]
	ainsert 10, [r3], [r0]	# r0->[2,7.5,"a string\n"]

	anew	[r1]		# r1->[]
	ainsert	-9, [r2], [r1]	# r1->[7.5]
	ainsert	0, [r1], [r0]	# r0->[[7.5],7.5,"a string\n"]
	ainsert	2, -6, [r1]	# r1->[7.5,-6]
	ainsert	8, [r1], [r0]	# r0->[[7.5,-6],7.5,"a string\n",[7.5,-6]]

	anew	[r1]		# r1->[]
	aindex	3, [r0], [r1]	# r1->[7.5,-6]
	aindex	1, [r1], [r1]	# r1->-6
	iprint	[r1]		# -6

	halt

