
# Check array 'multiplication' works
# This time, place arrays within the array being multiplied,
# and delete some of them afterwards to check that memory
# isn't corrupted

CODE

	icopy	0, r0
	icopy	1, r1
	icopy	2, r2
	icopy	3, r3

	anew	[r0]		# r0->[]

	anew	[r1]		# r1->[]
	ainsert	0, 8, [r1]	# r1->[8]
	ainsert	1, 5, [r1]	# r1->[8,5]

	ainsert	0, [r1], [r0]	# r0->[[8,5]]

	amul	3, [r0], [r2]	# r2->[[8,5],[8,5],[8,5]]

	alen	[r2], r7
	iprint	r7		# 3

	ainsert	1, -1, [r2]	# r2->[[8,5],-1,[8,5]]
	ainsert	0, 0, [r2]	# r2->[0,-1,[8,5]]
	ainsert	3, -3, [r2]	# r2->[0,-1,[8,5],-3]

	aindex	2, [r2], [r3]	# r3->[8,5]
	aindex	1, [r3], [r1]	# r1->5

	iprint	[r1]		# 5

	halt

