#
# This program checks for deliberate errors in the integer instructions.
# In particular, I'm looking for whether the virtual machine can
# discover that a memory cell contains a floating-point number
# instead of an integer, at run-time.
# The assembler will not be able to detect this error (most likely).
# The VM should find the error as it runs this program, print an
# error message to stderr, and exit. It should not crash.
#

DOUBLE

thing:	2.5

CODE

	icopy	thing, r0

	iadd	7, [r0], r1		# deliberate error!
	iadd	[r0], 7, r1		# deliberate error!
	iadd	[r0], [r0], r1		# deliberate error!

	iprint	[r0]			# deliberate error!
	iprint	[r1]

	halt

